Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: gpg

Tunables Interfaces

### Description:

Policy for GNU Privacy Guard and related programs.

### Tunables:

gpg_agent_env_file

##### Default value

false

##### Description

Determine whether GPG agent can manage generic user home content files. This is required by the --write-env-file option.

Return

### Interfaces:

gpg_domtrans( domain )

##### Summary

Execute the gpg in the gpg domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

gpg_domtrans_web( domain )

##### Summary

Execute gpg in the gpg web domain. (Deprecated)

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

gpg_entry_type( domain )

##### Summary

Make gpg executable files an entrypoint for the specified domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | The domain for which gpg_exec_t is an entrypoint.

gpg_exec( domain )

##### Summary

Execute the gpg in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

gpg_list_user_secrets( domain )

##### Summary

List gpg user secrets.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

gpg_pinentry_dbus_chat( domain )

##### Summary

Send messages to and from gpg pinentry over DBUS.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

gpg_role( role , domain )

##### Summary

Role access for gpg.

##### Parameters

Parameter: | Description:
--- | ---
role | Role allowed access.
domain | User domain for the role.

gpg_rw_agent_pipes( domain )

##### Summary

Read and write gpg agent pipes.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

gpg_signal( domain )

##### Summary

Send generic signals to gpg.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

gpg_spec_domtrans( source_domain , target_domain )

##### Summary

Execute gpg in a specified domain.

##### Description

Execute gpg in a specified domain.

No interprocess communication (signals, pipes, etc.) is provided by this interface since the domains are not owned by this module.

##### Parameters

Parameter: | Description:
--- | ---
source_domain | Domain allowed to transition.
target_domain | Domain to transition to.

Return